import request from '@/utils/request'

// 通过计划日期获取已分配的料罐、物料、班次信息list
export function getBMSList(planTime) {
  return request({
    url:'mes/plan/getBMSList/'+'?planTime='+planTime,
    method:'get'
  })
}

// 获取物料信息list
export function getProductList() {
  return request({
    url:'/mes/plan/getProductList',
    method:'get'
  })
}

// 获取料罐信息list
export function getBucketList() {
  return request({
    url:'/mes/plan/getBucketList',
    method:'get'
  })
}

// 通过工单日期查询没有被分配的所有子工单
export function getWorkOrderList(productDate) {
  return request({
    url:'/mes/plan/getWorkOrderByTime'+'?productDate='+productDate,
    method:'get',
  })
}

// 查询湿料计划管理列表
export function listPlan(query) {
	return request({
		url: '/mes/plan/list',
		method: 'get',
		params: query
	});
}

// 查询湿料计划管理详细
export function getPlan(id) {
	return request({
		url: '/mes/plan/' + id,
		method: 'get'
		});
}

// 新增湿料计划管理
export function addPlan(data) {
	return request({
		url: '/mes/plan',
		method: 'post',
		data: data
	});
}

// 修改湿料计划管理
export function updatePlan(data) {
	return request({
		url: '/mes/plan',
		method: 'put',
		data: data
	});
}

// 删除湿料计划管理
export function delPlan(id) {
	return request({
		url: '/mes/plan/' + id,
		method: 'delete'
	});
}
